"""Gestion des URLs de l'application gestion_vehicule."""

from django.urls import path
from . import views

app_name = "gestion_vehicule"

urlpatterns = [
    path(
        "",
        views.index,
        name="index"
    ),
    path(
        "enregistrer-voiture",
        views.enregistrer_voiture,
        name="enregistrer-voiture"
    ),
    path(
        "enregistrer-demande",
        views.enregistrer_demande,
        name="enregistrer-demande"
    ),
    path(
        "liste-demande",
        views.liste_demande,
        name="liste-demande"
    ),
    path(
        "statut-demande",
        views.statut_demande,
        name="statut_demande"
    ),
    path(
        "filtre-carnet-carburant",
        views.filtre_carnet_carburant,
        name="filtre-carnet-carburant",
    ),
    path(
        "filtre-sortie-vehicule",
        views.filtre_sortie_vehicule,
        name="filtre-sortie-vehicule",
    ),
    path(
        "detail-voiture/<int:vehicule_id>",
        views.detail_voiture,
        name="detail-voiture"
    ),
    path(
        "enregistrer-prise-carburant/<int:course_id>",
        views.enregistrer_prise_carburant,
        name="enregistrer-prise-carburant",
    ),
    path(
        "carnet-carburant/<int:vehicule_id>",
        views.carnet_carburant,
        name="carnet-carburant",
    ),
    path(
        "carnet-sortie-vehicule/<int:vehicule_id>",
        views.carnet_sortie_vehicule,
        name="carnet-sortie-vehicule",
    ),
    path(
        "enregistrer-carnetBord/<int:vehicule_id>",
        views.enregistrer_carnet_bord,
        name="enregistrer-carnetBord",
    ),
    path(
        "carnet-vehicule-information/<str:mois_concerne>",
        views.carnet_vehicule_information,
        name="carnet-vehicule-information",
    ),
    path(
        "detail-course/<int:id_demande>",
        views.detail_course,
        name="detail-course"),
    path(
        "enregistrer-details-course-depart/<int:id_demande>",
        views.enregistrer_information_course_depart,
        name="enregistrer-details-course-depart",
    ),
    path(
        "enregistrer-details-course-arrivee/<int:id_demande>",
        views.enregistrer_information_course_arrive,
        name="enregistrer-details-course-arrivee",
    ),
]
